/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 * 
 * CustomerReferenceBean.java
 */

package org.eu.adapt.demonstrator.eb.retailer;

import java.util.Collection;
import javax.ejb.CreateException;
import javax.ejb.EntityContext;
import javax.ejb.EntityBean;

public abstract class CustomerReferenceBean implements EntityBean
{
    public String ejbCreate(String name, String street1, String street2, String city, String state, String zip, String country)
        throws CreateException
    {
        setName(name);
        setStreet1(street1);
        setStreet2(street2);
        setCity(city);
        setState(state);
        setZip(zip);
        setCountry(country);

        return null;
    }

    public void ejbPostCreate(String name, String street1, String street2, String city, String state, String zip, String country)
    {
    }

    public abstract void setName(String name);

    public abstract String getName();

    public abstract void setStreet1(String street1);

    public abstract String getStreet1();

    public abstract void setStreet2(String street2);

    public abstract String getStreet2();

    public abstract void setCity(String city);

    public abstract String getCity();

    public abstract void setState(String state);

    public abstract String getState();

    public abstract void setZip(String zip);

    public abstract String getZip();

    public abstract void setCountry(String country);

    public abstract String getCountry();

    public abstract void setPurchaseOrders(Collection purchaseOrders);

    public abstract Collection getPurchaseOrders();

    public void setEntityContext(EntityContext entityContext)
    {
    }

    public void unsetEntityContext()
    {
    }

    public void ejbActivate()
    {
    }

    public void ejbPassivate()
    {
    }

    public void ejbLoad()
    {
    }

    public void ejbStore()
    {
    }    

    public void ejbRemove()
    {
    }
}
